#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ECsgoGameEvents {
    PlayerAnimEventId = 450,
    RadioIconEventId = 451,
    FireBulletsId = 452,
    PlayerBulletHitId = 453,
}

impl ECsgoGameEvents {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::PlayerAnimEventId as i32 => Some(Self::PlayerAnimEventId),
            x if x == Self::RadioIconEventId as i32 => Some(Self::RadioIconEventId),
            x if x == Self::FireBulletsId as i32 => Some(Self::FireBulletsId),
            x if x == Self::PlayerBulletHitId as i32 => Some(Self::PlayerBulletHitId),
            _ => None,
        }
    }
}
